import{ select, json, geoPath, geoNaturalEarth1 } from 'd3';
import{ feature } from 'topojson';

const svg = select('svg');

const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);


const topoJSON = json('https://d3js.org/us-10m.v1.json');


function ready(error, topoJSON) {
  if (error) throw error;
  
  svg.append("g")
      .attr("class", "counties")
    .selectAll("path")
      .data(topojson.feature(topoJSON, topoJSON.objects.counties).features) // Bind TopoJSON data elements
    .enter().append("path")
      .attr("d", path)
      .style("fill", "white")
      .style("stroke", "black");

			
});


